import { TLanguage } from '@cainiaofe/cn-i18n';
/**
 * 格式化日期
 * @param val 日期值
 * @param interv 分隔符
 * @param dateFormat 日期格式
 * @param adapterLocale 本地化适配
 */
export declare function formatDate(val?: string, interv?: string, dateFormat?: string, adapterLocale?: boolean | TLanguage): string;
export declare function formatDateTime(val: string, { interv, hasSecond, adapterLocale }: {
    interv?: string;
    hasSecond?: boolean;
    adapterLocale: any;
}): string;
export declare function getTwoNumber(val: string | number): string | number;
